Bug 1436657 - Add workaround for pki_pin for FIPS
Summary: Add workaround for pki_pin for FIPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Abhijeet Kasurde
URL:
Whiteboard:
Depends On:
Blocks: 1125174
TreeView+ depends on / blocked
 
Reported: 2017-03-28 11:58 UTC by Petr Vobornik
Modified: 2017-08-01 09:46 UTC (History)
7 users (show)

Fixed In Version: ipa-4.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:46:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-03-28 11:58:52 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6824

Dogtag is unable to create a strong-enough PIN in FIPS (https://pagure.io/dogtagpki/issue/2556 - they only use some numbers) to be used to create an NSS database.
Add a workaround setting `pki_pin` to a random value we can generate by ipautil.ipa_generate_password().

Comment 2 Petr Vobornik 2017-03-28 11:59:09 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6824

Comment 5 Abhijeet Kasurde 2017-05-29 11:34:52 UTC
Verified using IPA version :: 
# rpm -qa ipa-server
ipa-server-4.5.0-13.el7.x86_64

[root@ipaserver01 ~]# grep pki_pin /var/log/ipaserver-install.log && echo $?
pki_pin = XXXXXXXX
0

Marking BZ as verified. Also, ran Sanity and FIPS related testcases to verify PKI_PIN.

Comment 6 errata-xmlrpc 2017-08-01 09:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.